# piano / input pad

the piano serves as a non-keyboard interface to input notes.

![piano chart](piano.png)

the buttons at the left do the following:

|  |  |  |
| :---: | :---: | :---: |
| move one octave down | move one octave up | open options |
| fewer visible octaves | more visible octaves | swap buttons |

when swapped, the buttons do the following:

|  |  |  |
| :---: | :---: | :---: |
| input note off | input note release | open options |
| input macro release | delete | swap buttons |

every C key is labelled with its octave.

right-clicking on the piano keys will make the buttons disappear; right-clicking again brings them back.

## options

key layout:
- **Automatic**
- **Standard**: black keys are 2/3 length.
- **Continuous**: black keys are full length.

**Share play/edit offset/range**: if disabled, the piano will keep different octave and range values for playback and non-playback states.
**Read-only (can't input notes): prevents note entry.
